## org.jfree.chart.entity
Class XYItemEntity

    java.lang.Object
      org.jfree.chart.entity.ChartEntity
          org.jfree.chart.entity.XYItemEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

    public class XYItemEntity

extends ChartEntity

A chart entity that represents one item within an `XYPlot`.

See Also:
  Serialized Form

Constructor Summary
`XYItemEntity(java.awt.Shape area, XYDataset dataset, int series, int item, java.lang.String toolTipText, java.lang.String urlText)` Creates a new entity.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests the entity for equality with an arbitrary object.
`XYDataset` `getDataset()` Returns the dataset this entity refers to.
`int` `getItem()` Returns the item index.
`int` `getSeriesIndex()` Returns the series index.
`void` `setDataset(XYDataset dataset)` Sets the dataset this entity refers to.
`void` `setItem(int item)` Sets the item index.
`void` `setSeriesIndex(int series)` Sets the series index.
`java.lang.String` `toString()` Returns a string representation of this instance, useful for debugging purposes.

Methods inherited from class org.jfree.chart.entity.ChartEntity
`clone, getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, hashCode, setArea, setToolTipText, setURLText`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XYItemEntity

    public XYItemEntity(java.awt.Shape area,
                        XYDataset dataset,
                        int series,
                        int item,
                        java.lang.String toolTipText,
                        java.lang.String urlText)

  Creates a new entity.

  Parameters:
    `area` - the area.
    `dataset` - the dataset.
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
    `toolTipText` - the tool tip text.
    `urlText` - the URL text for HTML image maps.

Method Detail

### getDataset

    public XYDataset getDataset()

  Returns the dataset this entity refers to.

  Returns:
    The dataset.

### setDataset

    public void setDataset(XYDataset dataset)

  Sets the dataset this entity refers to.

  Parameters:
    `dataset` - the dataset.

### getSeriesIndex

    public int getSeriesIndex()

  Returns the series index.

  Returns:
    The series index.

### setSeriesIndex

    public void setSeriesIndex(int series)

  Sets the series index.

  Parameters:
    `series` - the series index (zero-based).

### getItem

    public int getItem()

  Returns the item index.

  Returns:
    The item index.

### setItem

    public void setItem(int item)

  Sets the item index.

  Parameters:
    `item` - the item index (zero-based).

### equals

    public boolean equals(java.lang.Object obj)

  Tests the entity for equality with an arbitrary object.

  Overrides:
    `equals` in class `ChartEntity`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### toString

    public java.lang.String toString()

  Returns a string representation of this instance, useful for debugging purposes.

  Overrides:
    `toString` in class `ChartEntity`
  Returns:
    A string.